ros-humble-ur-bringup (2.5.2-1jammy) jammy; urgency=high

  * Update pre-commit the same as on the main branch (#1232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1232>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-humble-ur-bringup (2.5.1-1jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Fri, 20 Dec 2024 23:00:00 -0000

ros-humble-ur-bringup (2.5.0-1jammy) jammy; urgency=high

  * Update package maintainers (backport of #1203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1203>)
  * Forward trajectory controller (backport of #944 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/944>)
  * Contributors: mergify[bot]

 -- Felix Exner <feex@universal-robots.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-humble-ur-bringup (2.2.16-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Oct 2024 23:00:00 -0000

ros-humble-ur-bringup (2.2.15-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 25 Jul 2024 22:00:00 -0000

ros-humble-ur-bringup (2.2.14-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 30 Jun 2024 22:00:00 -0000

ros-humble-ur-bringup (2.2.13-1jammy) jammy; urgency=high

  * Simplify launch file for ur_bringup pkg (#1004 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1004>)
  * Add calibration file to launch arguments (#1001 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1001>)
  * Contributors: Vincenzo Di Pentima

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 16 Jun 2024 22:00:00 -0000

ros-humble-ur-bringup (2.2.12-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 22:00:00 -0000

ros-humble-ur-bringup (2.2.11-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 07 Apr 2024 22:00:00 -0000

ros-humble-ur-bringup (2.2.10-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 02 Jan 2024 23:00:00 -0000

ros-humble-ur-bringup (2.2.9-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 21 Sep 2023 22:00:00 -0000

ros-humble-ur-bringup (2.2.8-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 25 Jun 2023 22:00:00 -0000

ros-humble-ur-bringup (2.2.7-1jammy) jammy; urgency=high

  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>) (#553 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/553>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
  * This commits adds additional configuration parameters needed for multiarm support.
  * Contributors: Lennart Nachtigall, mergify[bot], livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-humble-ur-bringup (2.2.6-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Nov 2022 23:00:00 -0000

ros-humble-ur-bringup (2.2.5-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 18 Nov 2022 23:00:00 -0000

ros-humble-ur-bringup (2.2.4-1jammy) jammy; urgency=high

  * Remove duplicated update_rate parameter (#479 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/479>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-humble-ur-bringup (2.2.3-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-humble-ur-bringup (2.2.2-1jammy) jammy; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 22:00:00 -0000

ros-humble-ur-bringup (2.2.1-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 22:00:00 -0000

ros-humble-ur-bringup (2.2.0-1jammy) jammy; urgency=high

  * Updated package maintainers
  * Rework bringup (#403 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/403>)
  * Fix force_torque_sensor_broadcaster config (#405 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/405>)
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Add sphinx documentation (#340 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/340>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Only start controller_stopper when not using fake_hardware (#332 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/332>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Fix package dependencies (#306 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/306>)
  * Make documentation on how to use driver clearer. (#300 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/300>)
  * Update MoveIt file for working with simulation. (#278 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/278>)
  * Start the tool communication script if the flag is set (#267 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/267>)
  * Used ``spawner`` instead of ``spanwer.py`` in launch files (#293 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/293>)
  * Do not start dashboard client if FakeHardware simulation is used. (#286 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/286>)
  * Use scaled trajectory controller per default. (#287 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/287>)
  * Separate control node (#281 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/281>)
  * Fix launch file arguments. (#243 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/243>)
  * Move Servo launching into the main MoveIt launch file. Make it optional. (#239 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/239>)
  * Tool communication (#218 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/218>)
  * fix missing executable arg of joint_state_broadcaster (#248 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/248>)
  * Remove obsolete comment 🐒 (#242 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/242>)
  * Revert "Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)" (#241 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/241>)
  * Use 'spawner' instead of 'spawner.py' (#225 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/225>)
  * Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)
  * Empirically set update rates. (#227 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/227>)
  * Fix update rate configuration (#222 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/222>)
  * Test execution tests (#216 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/216>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Add default per joint constraints. (#203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/203>)
  * Do not customize the planning scene topics (#205 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/205>)
  * Implement "choices" for robot_type param (#204 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/204>)
  * Joint limits parameters for Moveit planning (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/187>)
  * Rename the joint controller that is launched by default (#185 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/185>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Add parameters for checking start state (#143 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/143>)
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd
    and: https://github.com/ros-controls/ros2_controllers/commit/612f610c24d026a41abd2dd026902c672cf778c9#diff-5d3e18800b3a217b37b91036031bdb170f5183970f54d1f951bb12f2e4847706
  * Removed dashboard client from hardware interface
  * README cleanup, make MoveIt installation optional (#86 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/86>)
  * Using modern python
  * Restore ur_control.launch.py
  * Added view_ur for checking description
  * Make an optional launch arg for RViz, document it in README (#82 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/82>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Delete controller_stopper and ur_bringup pkgs
  * Add XML schema to all ``package.xml`` files
    Better enable ``ament_xmllint`` to check validity.
  * Update packaging for ROS2
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Delete all launch/config files with no UR5 relation
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Add ur5_moveit_config, ur_bringup, ur_description pkgs
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Kenneth Bogert, Mads Holm Peters, Marvin Große Besselmann, Thomas Barbier, Vatan Aksoy Tezer, livanov93, relffok, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 19 Jun 2022 22:00:00 -0000


